Subject: Re: NNCP at scale report

From: Sergey Matveev <[email-masked]>
Date: Sun, 3 Jan 2021 14:47:46 +0300

*** Shawn K. Quinn [2021-01-03 00:08]:
>Is getting NNCP working under Windows not a long-term goal?

Personally I am absolutely not interested in that. I am sure that people
must use free software. Period. If one chooses non-free software, then...
let it be, but for me that person does not "exist" at all. That is
completely unacceptable life choice, path of struggle and permanent pain
(in my opinion :-)). The same applies to users of mobile devices too.

If someone wish to use NNCP on that proprietary platforms, I have
nothing against. It is free software -- do as you wish, it is your
choice. But I won't help anyhow (spend my time) in those tasks, because
they are completely useless and even harmful (people should turn to free
software), as all proprietary software. Yes, I am in the "Church" of
free software movement :-), no offence to other people's choices.

>I admit that I resisted the GUI revolution for many years, but today I'd
>say I do at least 90% of my work using GUI software, though it's rare to
>see me without at least one terminal window open. I have found it's
>really not the GUI I hate, it's Windows and/or being forced to use the
>GUI even for tasks where it adds tedium instead of reducing it.

I have nothing against GUI too, *if* it is really good choice for the
task. In (my) practice, very few tasks in *my* life required GUI tools.
I always run X.org, but only because it is the easiest way to configure
fonts and use multiple languages (I need cyrillic). But only seldom
(when I need to watch pages with images or possibly use Gitlab interface
once per week) I run GUI Web-browser (most of time I use Lynx) and, of
course except for video and images watching and videogames, no GUI
programs anymore, because there are no tasks that can be conveniently
done in GUI.

Personally I am not interested in users of proprietary
software/platforms at all (mobile ones are included here too, because in
practice all that mobile platforms are completely unworkable without
non-free software). I am also not interested in users of OS/2, MS-DOS,
BeOS, TempleOS systems for various reasons. Windows/macOS/iOS/Android is
the same category for me -- parallel road.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF